BandaAncha.eu

Comunidad de usuarios
de fibra, móvil y ADSL

problema al instalar Driver ATI

BocaDePez
BocaDePez

Buenas tardes.

Estoy intentando instalar el driver ATI ati-driver-installer-9-3-x86.x86_64.run y despues de hacer los siguentes comandos:

su -c "yum -y update"

su -c "yum -y install kernel-devel kernel-headers libgcc gcc gcc-c++ zlib fontconfig freetype libstdc++"

Luego me coloco en la ruta donde se encuentra el Driver ATI y al grano: su -c "sh ati-driver-installer-9-3-x86.x86_64.run"

Y despues de este ultimo comando es cuando vienen los problemas, ya que al final de la ejecucion del mismo me sale:

which: no XFree86 in (/usr/lib64/qt-3.3/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/fedorauser/bin)

Error: ./default_policy.sh does not support version
default:v2:x86_64:lib::none:2.6.33.8-149.fc13.x86_64; make sure that the version is being
correctly set by --iscurrentdistro

BocaDePez
BocaDePez
1

Estas usando una versión muy antigua (la 9.3) del driver propietario de ATi con una versión bastante actual de la distribución linux Fedora. Solución? Prueba con la última versión estable del controlador (la 10.8): (link roto)

🗨️ 1
BocaDePez
BocaDePez

¡¡¡Muchisimas gracias!!! :P

BocaDePez
BocaDePez

Al final no hubo suerte, ya que reconoce mi tarjeta grafica y eso que en el ordenador donde tengo los Linux instalados, es una 1900 GT.

🗨️ 1
BocaDePez
BocaDePez

Desde la versión 9.4 inclusive ((link roto) el controlador propietario de ATi sólo soporta (en entornos domesticos) la serie Radeon HD en adelante. Por tanto deberás usar el controlador libre para tu tarjeta gráfica el cual suele venir instalado de serie con tu distro.

BocaDePez
BocaDePez

Es que en Fedora no me deja poner mas de 1600*1200 (la pantalla se ve muy mal), mientras que en Debian, Ubuntu, Mandriva y Suse me funciona perfectamente el escritorio 1920*1200